extern int  Ip6AddressToString(char* ip, int size, char* text);
extern int  Ip6AddressLog     (char* ip);
extern int  Ip6AddressHttp    (char* ip);

extern bool Ip6AddressIsSame (const char* ipA, const char* ipB);
extern bool Ip6AddressIsEmpty(const char* ip);
extern void Ip6AddressCopy(char* ipTo, const char* ipFrom);
extern void Ip6AddressClear(char* ip);

extern bool Ip6AddrIsSolicited(char* p);
extern bool Ip6AddrIsMulticast(char *p);
extern bool Ip6AddrIsSameGroup(char* pA, char* pB);

extern const char Ip6AddressAllNodes  [];
extern const char Ip6AddressAllRouters[];
extern const char Ip6AddressMdns      [];
extern const char Ip6AddressLlmnr     [];
extern const char Ip6AddressNtp       [];

extern void Ip6AddressFromDest (int dest , char* pDstIp);

#define SCOPE_NONE   0
#define SCOPE_LOCAL  1
#define SCOPE_GLOBAL 2